import template from "./Radio.html";
import style from "antd/lib/radio/style/index.css";

class Radio {

    useModules = ["esNgAntd"];

    props = {
        value: String,
        checked: Boolean,
        disabled: Boolean,
    };

    state = {
        checked: false,
    };

    template = template;
    
    handleClick(event) {
        event.preventDefault();
        this.antdRadioGroup.setValue(event);
    }

    constructor(antdRadioGroup) {
        this.antdRadioGroup = antdRadioGroup.getContext();
        this.antdRadioGroup.state.childrens.push($scope);
        esNgAntd.createStyle("ant-radio", style);
    }
}
