import template from "./Space.html";
import style from "antd/lib/space/style/index.css";
class Space {
    useModules = ["esNgAntd"];

    props = { direction: String, size: String };

    state = {
        direction: this.props.direction || "horizontal",
        size: this.props.size || 8,
    };

    template = template;

    constructor() {
        esNgAntd.createStyle("ant-space", style);
        $element.removeAttr("ng-class");
        $element.removeAttr("ng-style");
        let childrens = $transclude();
        for (let i = 0; i < childrens.length; i++) {
            const children = childrens[i];
            if (children.nodeType === 1) {
                let item = angular
                    .element("<div>")
                    .addClass("ant-space-item")
                    .append(children);
                $element.append(item);
            }
        }
    }
}
